shishi_apreq_from_file(3)

NAME
shishi_apreq_from_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_apreq_from_file(Shishi * handle, Shishi_asn1 * apreq, int filetype, const char * filename);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 * apreq
    output variable with newly allocated AP-REQ.

int filetype
    input variable specifying type of file to be read, see Shishi_filetype.

const char * filename
    input variable with filename to read from.

DESCRIPTION
Read AP-REQ from file in specified TYPE.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.